<ion-header>
  <ion-toolbar>
    <div>
      <ion-icon id="modal-config-server" class="icon-gear" name="cog-outline"></ion-icon>
    </div>
  </ion-toolbar>
</ion-header>
<ion-content>
  <ion-grid>
    <h2>Autenticação</h2>

    <form [formGroup]="formLogin" (ngSubmit)="onSubmit()" method="post">
      <ion-row class="d-block">
        <ion-item>
          <ion-input
            formControlName="login"
            type="text"
            clear-input
            placeholder="Login"
            required></ion-input>
        </ion-item>

        <ion-item>
          <ion-input
            formControlName="password"
            clear-input
            [type]="boolShowPassword ? 'text' : 'password'"
            id="myInput"
            placeholder="Senha"
            required></ion-input>
          <ion-button slot="end" (click)="boolShowPassword= !boolShowPassword">
            <ion-icon
              color="primary"
              [name]="boolShowPassword ? 'eye-off-outline' : 'eye-outline'"></ion-icon>
          </ion-button>
        </ion-item>
      </ion-row>

      <ion-row class="ion-text-right d-block">
        <ion-button
          class="passwordRecovery"
          mode="ios"
          fill="clear"
          (click)="navCtrl.navigateRoot(['/password-recovery'])">Recuperar Senha</ion-button>
      </ion-row>
      <ion-row class="d-block">
        <ion-button
          class="ion-margin-top"
          expand="block"
          color="primary"
          type="submit"
          [disabled]="!formLogin.valid">Entrar</ion-button>
      </ion-row>
    </form>
    <ion-row *ngIf="showIconBiometricAccess">
      <ion-col (click)="showFingerprint()">
        <ion-icon name="finger-print-outline"></ion-icon>
      </ion-col>
    </ion-row>
  </ion-grid>

  <ion-footer class="">
    <ion-row>
      <ion-row>
        <ion-img
          class="logoRetec"
          src="../../../assets/imgs/logo-removebg-preview.png"></ion-img>
      </ion-row>
    </ion-row>
    <ion-row class="d-flex ion-justify-content-between">
      <span></span>
      <p>Versão {{ appVersion }} © 2023</p>
      <span></span>
    </ion-row>
  </ion-footer>

  <ion-modal #modal trigger="modal-config-server" [canDismiss]="canDismiss"
    [presentingElement]="presentingElement">
    <ng-template>
      <ion-header>
        <ion-toolbar>
          <ion-title class="text-center">Servidor de Acesso</ion-title>
          <ion-buttons slot="end">
            <ion-button (click)="modal.dismiss()">
              <ion-icon name="close-outline"></ion-icon>
            </ion-button>
          </ion-buttons>
        </ion-toolbar>
      </ion-header>
      <ion-content>
        <p class="text-center">
          Selecione o servidor para autenticação
        </p>
        <ion-list class="ion-padding">
          <ion-radio-group value="server-radio" [(ngModel)]="canDismiss"
            (ngModelChange)="onServerChanged($event)">
            <ion-item>
              <ion-label>Produção</ion-label>
              <ion-radio slot="end" value="1"></ion-radio>
            </ion-item>

            <ion-item>
              <ion-label>Desenvolvimento</ion-label>
              <ion-radio slot="end" value="0"></ion-radio>
            </ion-item>

            <ion-item *ngIf="canDismiss=='0'">
              <ion-label position="floating">Servidor</ion-label>
              <ion-input
               placeholder="Escreva o endereço do servidor"
               [(ngModel)]="serverDev"
               (ngModelChange)="onInputServerChanged()"
               ></ion-input>
            </ion-item>
          </ion-radio-group>
        </ion-list>
      </ion-content>
    </ng-template>
  </ion-modal>
</ion-content>
